QR 코드
GET https://0o0.online/api/qr-codes/
curl --request GET \
--url 'https://0o0.online/api/qr-codes/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://0o0.online/api/qr-codes/' \
--header 'Authorization: Bearer {api_key}' \
| 파라미터 | 세부 사항 | 설명 |
|---|---|---|
| search | 옵션 링크 | 검색 스트리트 입니다. |
| search_by | 옵션 링크 | 어떤 필드를 찾고 있는가? 허용된 값은 다음과 같습니다. name. |
| project_id | 옵션 전체 | |
| type | 옵션 링크 | 어떤 필드를 찾고 있는가? 허용된 값은 다음과 같습니다. text, url, phone, sms, email, whatsapp, facetime, location, wifi, event, vcard, crypto, paypal, upi, epc, pix. |
| datetime_field | 옵션 링크 | 허용된 값 : datetime, last_datetime |
| datetime_start | 옵션 링크 | 이 날짜에서 시작하는 결과를 필터합니다. Y-m-d H:i:s 형식으로 |
| datetime_end | 옵션 링크 | 이 날짜까지 결과를 필터합니다. Y-m-d H:i:s 형식으로 |
| order_by | 옵션 링크 | 어떤 필드에서 결과를 주문할 수 있습니까? 허용된 값은 다음과 같습니다. qr_code_id, datetime, last_datetime, name, type. |
| order_type | 옵션 링크 | 주문 결과. 허용된 값은 다음과 같습니다 : ASC 상승 명령에 대하여, 그리고 DESC 아래로 내려오는 주문 |
| page | 옵션 전체 | 원하는 페이지 번호 결과에서. 결함은 1. |
| results_per_page | 옵션 전체 | 페이지에 얼마나 많은 결과를 원하는지. 허용 값은 다음과 같습니다 : 10, 25, 50, 100, 250, 500, 1000. 결함은 25. |
{
"data": [
{
"id": 1,
"type": "url",
"name": "Example name",
"qr_code": "https://0o0.online/uploads/qr_code/example.svg",
"qr_code_logo": null,
"qr_code_background": null,
"settings": {
"foreground_type": "color",
"foreground_color": "#000000",
"background_color": "#ffffff",
"custom_eyes_color": false,
"qr_code_logo_size": 25,
"size": 500,
"margin": 0,
"ecc": "L",
"url": "https://example.com"
...
},
"embedded_data": "https://example.com",
"last_datetime": null,
"datetime": "2026-10-16 01:37:54",
},
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://0o0.online/api/qr-codes?page=1",
"last": "https://0o0.online/api/qr-codes?page=1",
"next": null,
"prev": null,
"self": "https://0o0.online/api/qr-codes?page=1"
}
}
GET https://0o0.online/api/qr-codes/{qr_code_id}
curl --request GET \
--url 'https://0o0.online/api/qr-codes/{qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://0o0.online/api/qr-codes/{qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"type": "url",
"name": "Example name",
"qr_code": "https://0o0.online/uploads/qr_code/example.svg",
"qr_code_logo": null,
"qr_code_background": null,
"settings": {
"foreground_type": "color",
"foreground_color": "#000000",
"background_color": "#ffffff",
"custom_eyes_color": false,
"qr_code_logo_size": 25,
"size": 500,
"margin": 0,
"ecc": "L",
"url": "https://example.com"
...
},
"embedded_data": "https://example.com",
"last_datetime": null,
"datetime": "2026-10-16 01:37:54",
}
}
POST https://0o0.online/api/qr-codes
| 파라미터 | 세부 사항 | 설명 |
|---|---|---|
curl --request POST \
--url 'https://0o0.online/api/qr-codes' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=New York' \
--form 'type=text' \
--form 'text=Hello!' \
--url 'https://0o0.online/api/qr-codes' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=New York' \
--form 'type=text' \
--form 'text=Hello!' \
{
"data": {
"id": 1
}
}
POST https://0o0.online/api/qr-codes/{qr_code_id}
curl --request POST \
--url 'https://0o0.online/api/qr-codes/{qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Las Vegas' \
--url 'https://0o0.online/api/qr-codes/{qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Las Vegas' \
{
"data": {
"id": 1
}
}
DELETE https://0o0.online/api/qr-codes/{qr_code_id}
curl --request DELETE \
--url 'https://0o0.online/api/qr-codes/{qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://0o0.online/api/qr-codes/{qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \